Loading...
Searching...
No Matches
sender

A channel for sending messages. More...

`#include <sender.hpp>`

Inheritance diagram for sender:
[legend]
Collaboration diagram for sender:
[legend]

## Public Member Functions

| sender ()=default
| Create an empty sender.
void | open ()
| Open the sender.
void | open (const sender_options &opts)
| Open the sender.
tracker | send (const message &m)
| Send a message on the sender.
tracker | send (const message &m, const binary &tag)
class source | source () const
| Get the source node.
class target | target () const
| Get the target node.
void | return_credit ()
| Unsettled API - Return all unused credit to the receiver in response to a drain request.
Public Member Functions inherited from link
| link ()
| Create an empty link.
bool | uninitialized () const
| True if the local end is uninitialized.
bool | active () const
| True if the local end is active.
bool | closed () const
| True if the local and remote ends are closed.
class error_condition | error () const
| Get the error condition of the remote endpoint.
void | close ()
| Close the endpoint.
void | close (const error_condition &)
| Close the endpoint with an error condition.
void | detach ()
| Suspend the link without closing it.
int | credit () const
| Credit available on the link.
bool | draining ()
| Unsettled API - True for a receiver if a drain cycle has been started and the corresponding on_receiver_drain_finish event is still pending.
std::string | name () const
| Get the link name.
class container & | container () const
| The container for this link.
class work_queue & | work_queue () const
| Get the work_queue for the link.
class connection | connection () const
| The connection that owns this link.
class session | session () const
| The session that owns this link.
std::map< symbol, value > | properties () const
| Unsettled API - Properties supplied by the remote link endpoint.

## Detailed Description

A channel for sending messages.

Examples
  broker.cpp, client.cpp, direct_send.cpp, helloworld.cpp, multithreaded_client.cpp, multithreaded_client_flow_control.cpp, scheduled_send.cpp, scheduled_send_03.cpp, server_direct.cpp, and simple_send.cpp.

## Member Function Documentation

## open()

void open | ( | const sender_options & | opts | ) |

Open the sender.

## return_credit()

void return_credit | ( |  | ) |

Unsettled API - Return all unused credit to the receiver in response to a drain request.

Has no effect unless there has been a drain request and there is remaining credit to use or return.

See also
  receiver::drain

The documentation for this class was generated from the following file:

- proton/sender.hpp